/*
 * Copyright (C) 2010 David Arkell.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.gwtorbit.client.mvp;

import com.google.gwt.i18n.client.DateTimeFormat;
import com.google.gwt.i18n.client.Dictionary;
import com.google.gwt.i18n.client.NumberFormat;

public class ClientResourceBundle {

	private static Dictionary dictionary;

	public static DateTimeFormat dateTimeFormat = DateTimeFormat.getFormat("d MMM yyyy kk:mm");

	public static DateTimeFormat dateFormat = DateTimeFormat.getFormat("d MMM yyyy");

	public static DateTimeFormat timeFormat = DateTimeFormat.getFormat("HH:mm");

	public static NumberFormat decimalFormat = NumberFormat.getDecimalFormat();

	public static NumberFormat integerFormat = NumberFormat.getFormat("#,##0");

	public static void initDictionary(String variableName) {
		dictionary = Dictionary.getDictionary(variableName);
	}

	public static String getString(String key, String... params) {
		try {
			String ret = dictionary.get(key);
			for (int i = 0; i < params.length; i++) {
				ret = ret.replaceAll("\\{" + i + "\\}", params[i]);
			}
			return ret;
		} catch (Exception e) {
			return "???" + key + "???";
		}
	}

	public static String getString(String key) {
		try {
			return dictionary.get(key);
		} catch (Exception e) {
			return "???" + key + "???";
		}
	}

}
