/*
 * Copyright (C) 2010 David Arkell.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.gwtorbit.client.widgets;

import java.util.Iterator;

import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.Widget;

public class BHorizontalButtons extends HorizontalPanel {

	private HorizontalPanel horizontalPanel;

	public BHorizontalButtons() {
		this.setStyleName("BHorizontalButtons");

		horizontalPanel = new HorizontalPanel();
		super.add(horizontalPanel);
		super.setCellHorizontalAlignment(horizontalPanel,
				HorizontalPanel.ALIGN_RIGHT);
	}

	public void add(Widget w) {
		horizontalPanel.add(w);
	}

	public void clear() {
		horizontalPanel.clear();
	}

	public Iterator<Widget> iterator() {
		return horizontalPanel.iterator();
	}

	public boolean remove(Widget w) {
		return horizontalPanel.remove(w);
	}

}
