/*
 * Copyright (C) 2010 David Arkell.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.gwtorbit.client.widgets;

import com.google.gwt.user.client.ui.Label;
import com.gwtorbit.client.model.UiErrorDisplay;
import com.gwtorbit.client.model.UiErrors;

public class UiErrorsDisplayHeader extends Label implements UiErrorDisplay {

	public UiErrorsDisplayHeader() {
		this.setVisible(false);
		this.setStyleName("UiErrorsDisplayHeader");
		this.setText("Error - Please see below for details");
	}

	public void clearErrors() {
		this.setVisible(false);
	}

	public void displayErrors(UiErrors errors, String errorPrefix) {
		this.setVisible(errors.hasErrors());
	}

	public String getDataName() {
		return null;
	}

	public void setDataName(String dataName) {
	}

}
