package com.gwtorbit.client.widgets;

import java.util.Date;

import com.google.gwt.user.client.ui.Label;
import com.gwtorbit.client.model.UiData;
import com.gwtorbit.client.model.UiDataDisplay;
import com.gwtorbit.client.model.UiErrors;
import com.gwtorbit.client.mvp.ClientResourceBundle;

public class UiLabelDate extends Label implements UiDataDisplay {

	public void displayData(UiData uiData) {
		Date date = null;
		if (dataName.indexOf(".") > -1) {
			String[] names = dataName.split("\\.");
			for (int i = 0; i < (names.length - 1); i++) {
				uiData = (UiData) uiData.getData(names[i]);
			}
			date = (Date) uiData.getData(names[names.length - 1]);
		} else {
			date = (Date) uiData.getData(dataName);
		}
		if (date == null) {
			this.setText("");
		} else {
			this.setText(ClientResourceBundle.dateFormat.format(date));
		}
	}

	public void getData(UiData uiData, UiErrors errors, String errorPrefix) {
		String text = this.getText();
		uiData.setData(dataName, text);
	}

	private String dataName;

	public String getDataName() {
		return dataName;
	}

	public void setDataName(String dataName) {
		this.dataName = dataName;
	}

	public void clearData() {
		setText("");
	}

	private boolean ignore = false;

	public boolean getIgnore() {
		return ignore;
	}

	public void setIgnore(boolean ignore) {
		this.ignore = ignore;
	}

}
