package com.gwtorbit.client.widgets;

import java.sql.Time;

import com.google.gwt.user.client.ui.Label;
import com.gwtorbit.client.model.UiData;
import com.gwtorbit.client.model.UiDataDisplay;
import com.gwtorbit.client.model.UiErrors;
import com.gwtorbit.client.mvp.ClientResourceBundle;

public class UiLabelTime extends Label implements UiDataDisplay {

	public void displayData(UiData uiData) {
		Time time = null;
		if (dataName.indexOf(".") > -1) {
			String[] names = dataName.split("\\.");
			for (int i = 0; i < (names.length - 1); i++) {
				uiData = (UiData) uiData.getData(names[i]);
			}
			time = (Time) uiData.getData(names[names.length - 1]);
		} else {
			time = (Time) uiData.getData(dataName);
		}
		if (time == null) {
			this.setText("");
		} else {
			if (displayKey == null) {
				this.setText(ClientResourceBundle.timeFormat.format(time));
			} else {
				this.setText(ClientResourceBundle.getString(displayKey,
						ClientResourceBundle.timeFormat.format(time)));
			}
		}
	}

	private String displayKey;

	public void getData(UiData uiData, UiErrors errors, String errorPrefix) {
		String text = this.getText();
		uiData.setData(dataName, text);
	}

	private String dataName;

	public String getDataName() {
		return dataName;
	}

	public void setDataName(String dataName) {
		this.dataName = dataName;
	}

	public void clearData() {
		setText("");
	}

	private boolean ignore = false;

	public boolean getIgnore() {
		return ignore;
	}

	public void setIgnore(boolean ignore) {
		this.ignore = ignore;
	}

	public void setDisplayKey(String displayKey) {
		this.displayKey = displayKey;
	}

	public String getDisplayKey() {
		return displayKey;
	}

}
